View as Markdown
API Spec (JSON)
API Spec (YAML)
Compact modeHides field descriptions and other prose for a more compact, scannable view of the API reference.Client CredentialsToken URLhttps://api-m.sandbox.paypal.com/v1/oauth2/tokenInheaderScopes
https://uri.paypal.com/services/invoicing/invoices/readwriteapplication/json
TypeScript Definitions
Use the request body type in TypeScript.
refund_datestring<date_no_time>Optionalamountobject<money>Optionalcurrency_codestring<currency_code>RequiredvaluestringRequiredmethodenum<payment_method>Requiredapplication/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v2/invoicing/invoices/INV2-Z56S-5LLA-Q52L-CPZ5/refunds" \ -H "Authorization: Bearer A21AAGHr9qtiRRXH4oYcQokQgV99rGqEIfgrr8xHCclP0OzmD9KVgg5ppIIg1jzJgQkV4wd02svIvBJyg6cLFJjFow_SjBhxQ" \ -H "Content-Type: application/json" \ -d '{ "method": "BANK_TRANSFER", "refund_date": "2018-05-21", "amount": { "currency_code": "USD", "value": "5.00" } }'{ "refund_id": "EXTR-2LG703375E477444T"}